/******************************************************************
 * @file  Test_Receiver.s.c
 * @brief:    [file description] 
 * @author: HUOHUO
 * @Date 2024年4月20日
 * COPYRIGHT NOTICE: ITTC
 * Change_date         Owner         Change_content
 * 2024年4月20日        HUOHUO       create file

*****************************************************************/

/**************************include******************************/
#include <type_define.h>
#include "phy_macro.h"
#include "Test_Func.h"
#include "receiver_func.h"
#ifdef IDE_TEST 


void Test_Receiver(uint32_t timedata_ptr, uint32_t timedata_len)
{

	int* param_ptr = (int *)RECEIVER_CFG_BASE;


	STORE_EX_W(param_ptr, timedata_ptr);
	STORE_EX_W((param_ptr+1), timedata_len);
	Receiver_Init();

	Receiver_Task();
	
	
}

int main()
{
	__ucps2_iCacheConfig(f_DoubleEnable, f_BypassEnable);
	__ucps2_setJumpMode(f_Mode0);

	int ret = 0;
	uint32_t timedata_ptr;
	int32_t timedata_len;
    ret = osp_get_cfgfile("timedata.dat",
                          (uint32_t *)&(timedata_ptr),
                          (int32_t *)&(timedata_len));

	Test_Receiver(timedata_ptr, timedata_len);
	
}

#endif